# $Revision: 1.29 $, $Date: 2001/05/19 16:31:24 $
Summary:	Standard ghostscript fonts
Summary(pl):	Podstawowe fonty dla interpretera ghostscript
Name:		ghostscript-fonts-std
Version:	6.0
Release:	9
License:	GPL
Group:		Applications/Graphics
Group(de):	Applikationen/Grafik
Group(pl):	Aplikacje/Grafika
URL:		http://www.cs.wisc.edu/~ghost/
#Source0:	ftp://ftp.cs.wisc.edu/ghost/gnu/fonts/gnu-gs-fonts-std-%{version}.tar.gz
Source0:	ftp://ftp.pg.gda.pl/pub/TeX/support/ghostscript/aladdin/current/%{name}-%{version}.tar.gz
Source1:	%{name}.Fontmap
Source2:	%{name}.font
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildArch:	noarch
Obsoletes:	ghostscript-fonts
Obsoletes:	urw-fonts
Conflicts:	gnome-print < 0.26
Prereq:		textutils
Prereq:		sed

%define		_t1fontsdir	%{_fontsdir}/Type1
%define		_t1afmdir	%{_t1fontsdir}/afm
%define		_t1pfmdir	%{_t1fontsdir}/pfm

%description
This package contains standard fonts for ghostscript. These fonts can
be used with XFree86-4.0.

Ghostscript is a PostScript interpreter. It can render both PostScript
and PDF compliant files to devices which include an X window, many
printer formats (including support for color printers), and popular
graphics file formats.

%description -l pl
Pakiet ten zawiera podstawowe fonty dla interpretera ghostscript.
Fonty te mog take by uywane wraz z XFree86-4.0.

Ghostcript jest interpreterem PostScriptu, jzyku uywanego do opisu
formatu dokumentu. Ghostscript potrafi renderowa pliki zgodne zarwno
z PostScript jak i PDF dla urzdze wczajc w to: drukarki (take
kolorowe), okno X-Window i popularne formaty graficzne.

%prep
%setup -q -n fonts

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_t1fontsdir},%{_t1afmdir},%{_t1pfmdir}}

install *.pfb $RPM_BUILD_ROOT%{_t1fontsdir}
install *.afm $RPM_BUILD_ROOT%{_t1afmdir}
install *.pfm $RPM_BUILD_ROOT%{_t1pfmdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_t1fontsdir}/Fontmap.%{name}
install %{SOURCE2} $RPM_BUILD_ROOT%{_fontsdir}

# skip number and fonts not present in this package
tail -n +2 fonts.scale | grep -v '\.pfa ' > $RPM_BUILD_ROOT%{_t1fontsdir}/fonts.scale.%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd %{_t1fontsdir}
rm -f fonts.scale.bak Fontmap.bak
cat fonts.scale.* | sort -u > fonts.scale.tmp
cat fonts.scale.tmp | wc -l | sed -e 's/ //g' > fonts.scale
cat fonts.scale.tmp >> fonts.scale
rm -f fonts.scale.tmp
ln -sf fonts.scale fonts.dir
cat Fontmap.* > Fontmap
[ ! -x /usr/X11R6/bin/gnome-font-install ] ||/usr/X11R6/bin/gnome-font-install --target %{_datadir}/fonts/fontmap
#--system --scan --no-copy >/dev/null 2>&1

%postun
cd %{_t1fontsdir}
rm -f fonts.scale.bak Fontmap.bak
cat fonts.scale.* 2>/dev/null | sort -u > fonts.scale.tmp
cat fonts.scale.tmp | wc -l | sed -e 's/ //g' > fonts.scale
cat fonts.scale.tmp >> fonts.scale
rm -f fonts.scale.tmp
ln -sf fonts.scale fonts.dir
cat Fontmap.* > Fontmap 2>/dev/null
[ ! -x /usr/X11R6/bin/gnome-font-install ] || /usr/X11R6/bin/gnome-font-install --target %{_datadir}/fonts/fontmap
#--system --scan --no-copy >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%{_t1fontsdir}/*.pfb
%{_t1afmdir}/*.afm
%{_t1pfmdir}/*.pfm
%{_t1fontsdir}/*.%{name}
%{_fontsdir}/*.font

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ghostscript-fonts-std.spec,v $
Revision 1.29  2001/05/19 16:31:24  saq
- Conflicts: gnome-print < 0.26 (gnome-font-install didn't have
  the --target option)
- release 9. STB

Revision 1.28  2001/05/13 22:37:57  kloczek
- relase 8.

Revision 1.27  2001/05/13 21:13:34  misiek
--target option to gnome-font-intsll

Revision 1.26  2001/05/13 04:35:10  kloczek
- reelase 7.

Revision 1.25  2001/04/15 20:23:57  qboosh
- remove old {fonts.scale,Fontmap}.bak left by type1inst
- fixed fonts.scale generation, Prereq: sed

Revision 1.24  2001/04/15 18:04:59  qboosh
- Type1 fonts go to %%{_fontsdir}/Type1, metrics to {afm,pfm} subdirs
- changed post/postun scripts
  (merge included fontmaps instead of generating broken by type1inst)

Revision 1.23  2000/12/10 00:14:59  kloczek
- release 6: type1inst moved to Prereq.

Revision 1.22  2000/08/26 23:54:44  klakier
- added .font file and gnome-font-install invocation

Revision 1.20  2000/07/18 13:30:45  baggins
- release 4
- buildarch: noarch

Revision 1.19  2000/07/11 14:14:31  baggins
- release 3
- (pre)requires type1inst
- removed fonts.{alias,dir} from %%files (is autogenerated)
- use type1inst not mkfontdir in %%post(un)

Revision 1.18  2000/05/18 23:29:23  kloczek
- spec adapterized.

Revision 1.17  2000/05/15 03:46:58  kloczek
- release 2,
- install fonts in %%{_fonts_dir}/Type1/.

Revision 1.16  2000/04/14 06:16:43  kloczek
- removed %%{_datadir}/ghostscript/fonts from %files.

Revision 1.15  2000/04/14 06:14:55  kloczek
- removed %%{_datadir}/ghostscript/fonts symlik (this not neccessary now
  because curent ghostscript is configured have in font path
  %%{_fonts_dir}/type1).

Revision 1.14  2000/04/14 05:52:50  kloczek
- added "Obsoletes: ghostscript-fonts".

Revision 1.13  2000/04/14 05:49:22  kloczek
- cosmetics.

Revision 1.12  2000/04/14 05:48:31  kloczek
- spec adapterized.

Revision 1.11  2000/04/01 11:14:31  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/03/30 14:07:54  misiek
- ups, lowercase

Revision 1.9  2000/03/30 14:00:18  misiek
- follow fonts-style.txt

Revision 1.8  2000/03/28 16:54:18  baggins
- translated kloczkish into english

Revision 1.7  2000/01/30 19:39:04  kloczek
- updated Source url.

Revision 1.6  2000/01/29 15:29:56  wrobell
- upgrade to 6.0 fonts version
- fonts can be used with XFree86-4.0
- fonts moved to %{_fonts_dir}/gs-fonts

Revision 1.5  1999/07/20 11:04:33  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.4  1999/07/12 23:05:57  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri Jun 18 1999 Artur Wrblewski <wrobell@posexperts.com.pl>
[5.50a-1]
- FHS-2.0
